noir = Color.new (0,0,0)
blanc = Color.new (255,255,255)
jaune = Color.new (255,255,0)
rouge = Color.new (255,0,0)
legende = "Legende: Rouge = Codes d'erreur / Jaune = Signification"
aide = "Navigation: Start = menu, L = precedent et R = suivant"

num = "29/33"
a = "800202c8"
b = "800202c9"
c = "800202ca"
d = "800202cb"
e = "800202cc"
f = "800202cd"
egal = "signifie"
trada = "Chaine DMA deja reservee"
tradb = "Chaine DMA n'est pas configure"
tradc = "Vous avez besoin d'un plus haut niveau"
tradd = "Liste des buffers trop courte"
trade = "L'operation ne correspond pas aux DMA"
tradf = "L'operation est occupee"

while true do
screen:clear()
pad=Controls.read()

screen:blit(0,0,fond)
screen:print(15,1,legende,noir)
screen:print(18,10,aide,noir)
screen:print(440,260,num,rouge)

screen:print(90,55,a,rouge)
screen:print(90,85,b,rouge)
screen:print(90,115,c,rouge)
screen:print(90,145,d,rouge)
screen:print(90,175,e,rouge)
screen:print(90,205,f,rouge)

screen:print(160,55,egal,blanc)
screen:print(160,85,egal,blanc)
screen:print(160,115,egal,blanc)
screen:print(160,145,egal,blanc)
screen:print(160,175,egal,blanc)
screen:print(160,205,egal,blanc)

screen:print(100,65,trada,jaune)
screen:print(100,95,tradb,jaune)
screen:print(100,125,tradc,jaune)
screen:print(100,155,tradd,jaune)
screen:print(100,185,trade,jaune)
screen:print(100,215,tradf,jaune)

if pad:l() then
screen.flip()
screen.waitVblankStart(7) 
dofile("Pages/28.lua")
end

if pad:r() then
screen.flip()
screen.waitVblankStart(7) 
dofile("Pages/30.lua")
end


if pad:start() then
screen.flip()
screen.waitVblankStart(7) 
dofile("menu.lua")
end

screen.flip()
screen.waitVblankStart(7) 
end